Wireshark-dev: Re: [Wireshark-dev] Wireshark ABI stability 1.6.4 -> 1.6.5
From: Guy Harris <[email protected]>
Date: Thu, 12 Jan 2012 12:44:33 -0800
On Jan 12, 2012, at 9:06 AM, Gerald Combs wrote:

> Is ACC available for Windows or OS X? I'd rather keep make-version.pl
> cross-platform if possible.

This:

	http://forge.ispras.ru/projects/abi-compliance-checker/repository/entry/trunk/INSTALL.txt

seems to suggest that the latest version, 1.9.1, does support Windows and Mac OS X.  They also mention Linux and FreeBSD; my guess is that it could work on all ELF-based systems that use the GNU toolchain.  It might also work on ELF-based systems that don't, e.g. Solaris, if you install GNU binutils.

> BTW, what version of ACC do you have installed? All of my Ubuntu
> machines have 1.6 which seems to support a completely different set of
> options than the ones in the "dumpabi" makefile target. The home page at
> http://ispras.linux-foundation.org/index.php/ABI_compliance_checker has
> been down since September.

OK, so maybe you just ignore that site and look at the forge.ispras.ru site:

	http://forge.ispras.ru/projects/abi-compliance-checker

instead.